1

using debian 8 with mariadb repository, apt-get dist-upgrade command failed for Mariadb Packages.

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants seront mis à jour :
  galera-3 libmariadbclient18 libmysqlclient18 mariadb-client-10.0 mariadb-client-core-10.0 mariadb-common mariadb-galera-server mariadb-galera-server-10.0 mysql-common
9 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/19,7 Mo dans les archives.
Après cette opération, 521 ko d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] oui
Préconfiguration des paquets...
(Lecture de la base de données... 34213 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../mariadb-galera-server_10.0.29+maria-1~jessie_all.deb ...
Dépaquetage de mariadb-galera-server (10.0.29+maria-1~jessie) sur (10.0.28+maria-1~jessie) ...
Préparation du dépaquetage de .../libmariadbclient18_10.0.29+maria-1~jessie_amd64.deb ...
Dépaquetage de libmariadbclient18 (10.0.29+maria-1~jessie) sur (10.0.28+maria-1~jessie) ...
Préparation du dépaquetage de .../libmysqlclient18_10.0.29+maria-1~jessie_amd64.deb ...
Dépaquetage de libmysqlclient18 (10.0.29+maria-1~jessie) sur (10.0.28+maria-1~jessie) ...
Préparation du dépaquetage de .../mysql-common_10.0.29+maria-1~jessie_all.deb ...
Dépaquetage de mysql-common (10.0.29+maria-1~jessie) sur (10.0.28+maria-1~jessie) ...
Préparation du dépaquetage de .../mariadb-common_10.0.29+maria-1~jessie_all.deb ...
Dépaquetage de mariadb-common (10.0.29+maria-1~jessie) sur (10.0.29-0+deb8u1) ...
dpkg: concernant .../mariadb-client-core-10.0_10.0.29+maria-1~jessie_amd64.deb contenant mariadb-client-core-10.0Â :
 mariadb-client-10.0 entre en conflit avec mysql-client-core-5.5
  mariadb-client-core-10.0 fournit mysql-client-core-5.5 et doit être installé.

dpkg: erreur de traitement de l'archive /var/cache/apt/archives/mariadb-client-core-10.0_10.0.29+maria-1~jessie_amd64.deb (--unpack)Â :
 paquets en conflit - mariadb-client-core-10.0 non installé
dpkg: concernant .../mariadb-client-10.0_10.0.29+maria-1~jessie_amd64.deb contenant mariadb-client-10.0Â :
 mariadb-client-core-10.0 entre en conflit avec mysql-client-5.5
  mariadb-client-10.0 fournit mysql-client-5.5 et doit être installé.

dpkg: erreur de traitement de l'archive /var/cache/apt/archives/mariadb-client-10.0_10.0.29+maria-1~jessie_amd64.deb (--unpack)Â :
 paquets en conflit - mariadb-client-10.0 non installé
Préparation du dépaquetage de .../galera-3_25.3.19-jessie_amd64.deb ...
Dépaquetage de galera-3 (25.3.19-jessie) sur (25.3.18-jessie) ...
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/mariadb-client-core-10.0_10.0.29+maria-1~jessie_amd64.deb
 /var/cache/apt/archives/mariadb-client-10.0_10.0.29+maria-1~jessie_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Sorry output is in French, but the error is :

mariadb-client-10.0 conflict with mysql-client-core-5.5
mariadb-client-core-10.0 provide mysql-client-core-5.5 and should be installed.

But on my OS I don't have mysql-client packages. Any idea on what is wrong ?

1

Add backports to your sources.list:

deb http://ftp.debian.org/debian jessie-backports main 

Update:

apt-get update 

Install the mysql-client-core-5.6 packages:

apt-get -t jessie-backports install mysql-client-core

then run :

apt-get update && apt-get upgrade && apt-get dist-upgrade
0

I had a wrong pinning configuration which lead to package mixing between repositories.

My bad.

Not the answer you're looking for? Browse other questions tagged or ask your own question.